<template>
   <div>
      <router-view></router-view>
   </div>
</template>

<script>
import { getNotSendCount } from '@/service/api/mallApi.js';
export default {
  name: "mall",
  data() {
    const vm = this;
    return {
      total:0,
    };
  },
  created() {
    this.$store.commit("mutations_breadcrumb", [{ name: "积分商城" }]);
    this.$store.commit("aside_handler", true);
    this.getNotSendCount();
    $bus.$on('refresh-not-send-count',() => {
      this.getNotSendCount();
    });
  },
  methods:{
    async getNotSendCount(){
      let res = await getNotSendCount();
      if (res.errorCode === 0) {
        this.total = res.result;
      }
    }
  }
};
</script>
